Bug 15903 - Remove use of recordpayment in paycollect.pl
Summary: Remove use of recordpayment in paycollect.pl
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Kyle M Hall
QA Contact: Testopia
URL:
Keywords:
Depends on: 15895
Blocks: 15899
  Show dependency treegraph
 
Reported: 2016-02-24 15:32 UTC by Kyle M Hall
Modified: 2017-12-07 22:16 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 15903 - Remove use of recordpayment in paycollect.pl (1.40 KB, patch)
2016-02-24 15:34 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 15903 - Remove use of recordpayment in paycollect.pl (1.43 KB, patch)
2016-03-25 07:41 UTC, Mirko Tietgen
Details | Diff | Splinter Review
Bug 15903 - Remove use of recordpayment in paycollect.pl (1.38 KB, patch)
2016-06-07 15:11 UTC, Kyle M Hall
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 15903 - Remove use of recordpayment in paycollect.pl (1.48 KB, patch)
2016-08-08 13:48 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 15903 - Remove use of recordpayment in paycollect.pl (1.54 KB, patch)
2016-09-28 11:09 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2016-02-24 15:32:52 UTC

    
Comment 1 Kyle M Hall 2016-02-24 15:34:01 UTC Comment hidden (obsolete)
Comment 2 Mirko Tietgen 2016-03-25 07:41:20 UTC Comment hidden (obsolete)
Comment 3 Kyle M Hall 2016-06-07 15:11:46 UTC Comment hidden (obsolete)
Comment 4 Jonathan Druart 2016-08-02 09:21:52 UTC
signed-off-by line missing.
Comment 5 Owen Leonard 2016-08-08 13:48:16 UTC
Created attachment 54161 [details] [review]
[SIGNED-OFF] Bug 15903 - Remove use of recordpayment in paycollect.pl

Test Plan:
1) Apply this patch
2) Pay a fine via the "Pay amount" button
3) Payment should succeed.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 6 Jonathan Druart 2016-09-28 11:09:44 UTC
Created attachment 55877 [details] [review]
Bug 15903 - Remove use of recordpayment in paycollect.pl

Test Plan:
1) Apply this patch
2) Pay a fine via the "Pay amount" button
3) Payment should succeed.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 7 Kyle M Hall 2016-09-29 11:17:51 UTC
Pushed to master for 16.11!